<template>
  <div class="statistics_card">
    <v-row>
      <h2>{{ period }} {{ statistics['periodNumber'] }}, {{ statistics['year'] }}</h2>
    </v-row>
    <div class="statistics_card_int">
      <v-row>
        <p>
          {{ $t('statistics.weekly.new_users') }}: <b>{{ statistics['newUsersCount'] }}</b>
        </p>
      </v-row>
      <v-row>
        <p>
          {{ $t('statistics.weekly.new_documents') }}: <b>{{ statistics['newDocumentsCount'] }}</b>
        </p>
      </v-row>
      <v-row>
        <p>
          {{ $t('statistics.weekly.downloads_count') }}: <b>{{ statistics['downloadsCount'] }}</b>
        </p>
      </v-row>
      <v-row>
        <p>
          {{ $t('statistics.weekly.descriptions_count') }}: <b>{{ statistics['descriptionsCount'] }}</b>
        </p>
      </v-row>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
  props: {
    statistics: {
      type: Object,
      default() {
        return {}
      },
    },
    period: {
      type: String,
      default() {
        return 'Week'
      },
    },
  },
})
</script>

<style lang="scss" scoped>
.statistics_card {
  margin-top: 20px;
}

.statistics_card_int {
  border-left: 4px solid #111b47;
  align-content: center;
  margin-top: 15px;
  padding-left: 25px;
  padding-bottom: 1px;
}
</style>
